<div class="min-h-screen bg-white p-8 max-w-7xl xl:mx-auto">
    <!-- Header Section -->
    <div class="mb-8 flex items-start justify-between bg-gray-light p-4 pb-0 rounded-lg relative">
        <div class="flex flex-col items-start gap-4">
            <h1 class="text-2xl md:text-3xl font-bold text-primary">ElegantLoader</h1>
            <p class="w-full max-w-4xl text-2xl md:text-3xl text-almost-black font-black">Whoooooooooah your users with a smooth landing animation</p>
        </div>
        <img src="<?php echo plugin_dir_url(__FILE__) . '../assets/img/Saly-10.png'; ?>"
            alt="Character illustration" class="max-h-full h-auto w-1/2 max-w-[600px] -mb-2 object-contain hidden md:block self-end" />

        <!-- Upload Button -->
        <div class="absolute -bottom-10 left-4 flex flex-row gap-4">
            <div class="upload-svg-button bg-primary rounded-lg p-4 mb-4 flex items-center gap-2 cursor-pointer
     hover:bg-primary-dark hover:-translate-y-1 transition-all duration-200 animate-shadow-pulse
       lg:text-xl lg:font-black">
                <img src="<?php echo plugin_dir_url(__FILE__) . '../assets/icons/upload.svg'; ?>" alt="Upload" class="fill-white w-auto h-8">
                <span class="text-white">Upload your SVG logo</span>
            </div>

            <a target="_blank" href="https://danmarshall.github.io/google-font-to-svg-path/"
                class=" bg-white border-2 border-primary text-primary rounded-lg p-4 mb-4 flex items-center gap-2 cursor-pointer
      hover:-translate-y-1 transition-all duration-200
       lg:text-xl lg:font-black">
                <img src="<?php echo plugin_dir_url(__FILE__) . '../assets/icons/create.svg'; ?>" alt="Upload" class="w-auto h-8">
                <span>Or create one</span>
            </a>

        </div>
    </div>

    <!-- Info Section -->
    <div class="space-y-8">
        <h2 class="text-2xl font-black text-almost-black mb-12 mt-24">Why should you use a preloader?</h2>

        <div class="grid grid-cols-1 ml-4 mb-12 border-l-8 border-primary pl-4">
            <div class="flex flex-col w-full">
                <p class="text-gray-600 text-xl leading-relaxed w-full md:w-[90%]">
                    Preloaders serve a real purpose. On content-heavy sites, they keep visitors engaged during those crucial loading seconds, which can reduce bounce rates. And for business sites, a branded preloader can even add a professional touch.
                </p>
                <a href="https://www.wpbeginner.com" target="_blank" class="text-primary text-lg mt-4 font-bold self-end mx-20">wp-beginner.com</a>
            </div>
        </div>

        <div class="grid grid-cols-1 ml-12 mt-12 border-l-8 border-primary pl-4">
            <div class="flex flex-col w-full">
                <p class="text-gray-600 text-xl leading-relaxed w-full md:w-[90%]">
                    Preloaders keep your visitors engaged while your site loads and make you look like a pro at the same time.
                    Even if your site’s load time is up to par, having a preloader helps your site stand out.
                </p>
                <a href="https://www.wpexplorer.com/" target="_blank" class="text-primary text-lg mt-4 font-bold self-end mx-20">wpexplorer.com</a>
            </div>
        </div>

        <div class="grid grid-cols-1 ml-4 mb-12 border-l-8 border-primary pl-4">
            <div class="flex flex-col w-full">
                <p class="text-gray-600 text-xl leading-relaxed w-full md:w-[90%]">
                    A page loading animation, or ‘preloader animation’, helps inform visitors that a page is loading (it isn’t stuck), and increases the likelihood that they’ll stay on the site. In this way, it can improve the User Experience (UX) and reduce your bounce rates. </p>
                <a href="https://wpengine.co.uk/" target="_blank" class="text-primary text-lg mt-4 font-bold self-end mx-20">wpengine.co.uk</a>
            </div>
        </div>
    </div>
</div>